<?
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Free Web Based Training System                           |
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Plate-forme de téléformation gratuite et en open source  |
// +----------------------------------------------------------------------------|
// | Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>           |
// +----------------------------------------------------------------------------+
// |           Developer : Georges CALDEIRA <gcaldeira@anemalab.org>            |
// +----------------------------------------------------------------------------+
// |              Infos on project <http://anemalab.org/>                       |
// +----------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by       |
// | the Free Software Foundation; either version 2 of the License, or          |
// | (at your option) any later version.                                        |
// |                                                                            |
// | This program is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              |
// | GNU General Public License for more details.                               |
// |                                                                            |
// | You should have received a copy of the GNU General Public License          |
// | along with this program; if not, write to the Free Software                |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   |
// +----------------------------------------------------------------------------+

/**
* Gestion des news
*
* @author		Georges Caldeira <gcaldeira@anemalab.org>
* @package		GaneshaInc
*/


	/**
	* Affiche les news du groupe
	* @access	public
	*/
	function News($idg) { 
	 global $color1, $color2, $ClsNews, $gusertype, $gconnexionid, $groupe ;
	 global $tu_titre, $ext ;
		if ( ! OPT_NEWS_ACTIVE ) {
			put('&nbsp;');
			return(true);
		}
		$ret = $ClsNews->read($idg);
		// possibilite de modifier la taille de la news en fonction du profil...
		if ( $gusertype == TUTEUR ) {
			SubTitle($tu_titre['news'])	;
			put('<center>');
		}
		put('		<table width="90%" border="0" cellspacing="0" cellpadding="1" bgcolor="'.$color1.'">');
		put('		<tr><td>');
		put('		<table width="100%" border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">');
		put('		  <tr bgcolor="'.$color2.'"> ');
		put('			<td align="center" class="title2">');
		put($ret['titre']);
		put('			</td>');
		put('		  </tr>');
		put('		  <tr bgcolor="#FFFFFF"> ');
		put('			<td>');
		BR();
		put(nl2br($ret['text']));
		BR(2);
		put('			</td>')	;
		put('		  </tr>')	;
		put('		</table>')	;
		put('		</td></tr>');
		put('		</table>')	;
		if ( $gusertype == TUTEUR ) {
			put('</center>');
			$conf  = 'scrollbars=yes,width=420,height=410';
			$url = HTTP_COMMUN."p_news".$ext."?connexion=".$gconnexionid."&groupe=".$groupe ;
			UL();
			LI('<A class="student" href="#" onClick="openWindow(\''.$url.'\',\'news\',\''.$conf.'\')" '.Status($tu_titre['news']).'  >['.$tu_titre['modifnews'].']</A>');
			_UL();
		}
	}

	/**
	* Affiche les news du groupe
	* @access	public
	*/
	function defaultNews() { 
	 global $color1, $color2, $ClsNews, $gusertype, $gconnexionid, $groupe ;
	 global $tu_titre, $ext ;
		$ret = $ClsNews->read(0);
		put('		<table width="75%" border="0" cellspacing="0" cellpadding="1" bgcolor="'.$color1.'">');
		put('		<tr><td>');
		put('		<table width="100%" border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">');
		put('		  <tr bgcolor="'.$color2.'"> ');
		put('			<td align="center" class="title2">');
		put($ret['titre']);
		put('			</td>');
		put('		  </tr>');
		put('		  <tr bgcolor="#FFFFFF"> ');
		put('			<td>');
		BR();
		put(nl2br($ret['text']));
		BR(2);
		put('			</td>')	;
		put('		  </tr>')	;
		put('		</table>')	;
		put('		</td></tr>');
		put('		</table>')	;
	}

?>